<template>
    <div class="lang-swither">
        <select
            v-model="current"
            class="lang-swither__list"
            name="lang"
            @change="switchLanguage($event.target.value)"
        >
            <option 
                v-for="{ name, full, code } in languages"
                :key="code"
                class="lang-swither__item"
                :value="code"
                :selected="current === code"
            >
                {{ fullName ? full : name }}
            </option>
        </select>
    </div>
</template>

<script>
import { ref, inject } from 'vue';

export default {
    name:'LangSwitcher',
    props: {
        fullName: {
            type: Boolean,
            default: false,
        }
    },
    setup() {
        const i18n = inject('$i18n');

        const current = ref(localStorage.getItem('lang'));

        const languages = ref([
            {
                code: 'ru',
                name: 'RU',
                full: 'Русский'
            },
            {
                code: 'en-us',
                name: 'EN',
                full: 'English'
            },
        ]);

        const switchLanguage = (langCode) => {
            // i18n.global.setLocale(langCode);
            i18n.global.locale = langCode; 
            localStorage.setItem('lang', langCode);
        };

        return {
            current,
            languages,
            switchLanguage
        };
    }
}
</script>

<style lang="scss" scoped>
    @import '@/scss/configuration/variables';

    .lang-swither {

    }
    .lang-swither__list {
        padding: $gInputPadding;
    }
    .lang-swither__item  {

    }
</style>